summaryrefslogtreecommitdiff
path: root/kconfig/lxdialog
diff options
context:
space:
mode:
authorYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2008-07-22 09:16:07 (GMT)
committerYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2008-07-22 09:16:07 (GMT)
commit679fd52ed18e003dd792d1c1e43f665a550d5540 (patch)
treeb57b4d66bac4dd73d01c014f535fd3e4b1df23d5 /kconfig/lxdialog
parent3123947af99317c8516f017ca940c7e6722dae4a (diff)
Michael ABBOTT reported that Ubuntu had problems running menuconfig.
Turned out that a POSIX script shell was in fact not POSIX: == does not check for equality, -eq does. /trunk/kconfig/lxdialog/check-lxdialog.sh | 4 2 2 0 ++-- 1 file changed, 2 insertions(+), 2 deletions(-)
Diffstat (limited to 'kconfig/lxdialog')
-rwxr-xr-xkconfig/lxdialog/check-lxdialog.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/kconfig/lxdialog/check-lxdialog.sh b/kconfig/lxdialog/check-lxdialog.sh
index 120d624..e4d8adc 100755
--- a/kconfig/lxdialog/check-lxdialog.sh
+++ b/kconfig/lxdialog/check-lxdialog.sh
@@ -43,7 +43,7 @@ trap "rm -f $tmp" 0 1 2 3 15
# Check if we can link to ncurses
check() {
echo "main() {}" | $cc -xc - -o $tmp 2> /dev/null
- if [ $? != 0 ]; then
+ if [ $? -ne 0 ]; then
echo " *** Unable to find the ncurses libraries." 1>&2
echo " *** make menuconfig require the ncurses libraries" 1>&2
echo " *** " 1>&2
@@ -57,7 +57,7 @@ usage() {
printf "Usage: $0 [-check compiler options|-header|-library]\n"
}
-if [ $# == 0 ]; then
+if [ $# -eq 0 ]; then
usage
exit 1
fi